Q
Problem solve Get help with specific problems with your technologies, process and projects.

OS/VS COBOL in CICS 2.3

Will COBOL OS/VS programs run in CICS TS 2.3?
Ahhhh, the most popular subject at SHARE in Anaheim a few weeks ago! And, as usual, the short answer is too misleading, so here is the long answer about which COBOL works and which does not in CICS TS 2.2 and 2.3.

CICS TS 2.2

  • Cannot translate OS/VS COBOL programs
  • Must use COBOL3 translator option
  • OS/VS COBOL programs under OS/VS COBOL runtime library may run, but is unsupported
CICS TS 2.3
  • OS/VS COBOL programs will run, but only if using LE as a run time library
  • Any attempts to initialize OS PL/I, OS/VS COBOL or VS COBOL II run times will result in ABEND
  • All High-Level Language programs running under CICS must use LE CICS TS 3.1
  • OS/VS COBOL programs will ABEND even if using LE!
The CICS story is described in CICS announcements, such as for CICS 3.1. Go to the CICS 3.1 page, click on "Announcement Letter" and search for COBOL in the announcement for details.

Dig Deeper on IBM system z and mainframe systems

Have a question for an expert?

Please add a title for your question

Get answers from a TechTarget expert on whatever's puzzling you.

You will be able to add details on the next page.

Start the conversation

Send me notifications when other members comment.

Please create a username to comment.

-ADS BY GOOGLE

SearchWindowsServer

SearchServerVirtualization

SearchCloudComputing

Close